Bug 1255023 - Packaging of healpic-C++ 3.20
Packaging of healpic-C++ 3.20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: healpix (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 08:56 EDT by adrien.calvayrac
Modified: 2017-04-12 10:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: healpix-3.31-3.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-12 10:51:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adrien.calvayrac 2015-08-19 08:56:03 EDT
I work on the Euclid spatial project (governed by ESA) on the Common Tools team, in charge of maintaining a common development environment (O/S, tools, libraries…), currently on CentOS7.
 
I contact you because we need to add healpix-C++ library to this environment. Our problem is that we need at least the version 3.20 and the last available package in Fedora is the version 2.13a. 
So, I would like to know if the packaging of a more recent version of Healpix-C++ is forecasted on fedora side and in this case, if a release date and a version are already planned.

(mail to Jon Ciesla - 09/07/15)
Comment 1 Gwyn Ciesla 2015-08-21 10:50:57 EDT
The main blocker at this point is that the healpix build system in 3.20 has changed to an interactive configure script, and the defaults aren't conducive to reproducible builds (hard-coding compiler options, home directory paths, library paths that vary between 32 and 64 bit systems, etc.)

Are you aware of a way around this?
Comment 2 adrien.calvayrac 2015-08-31 11:59:09 EDT
No, sorry
Comment 3 Gwyn Ciesla 2015-09-01 12:45:03 EDT
I've managed to clear that hurdle and am now working on a FORTRAN build issue.
Comment 4 adrien.calvayrac 2015-11-25 09:48:30 EST
Hi Jon,

Have you had time to move on with this package?
Thank you
Comment 5 Jan Kurik 2016-02-24 08:39:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Christian Dersch 2017-04-05 16:59:05 EDT
I finally worked on this, starting with Fedora 26 we will have up to date packages again. For older releases we could consider using COPR.
Comment 7 Gwyn Ciesla 2017-04-05 17:21:38 EDT
Thank you so much!
Comment 8 Fedora Update System 2017-04-05 18:01:29 EDT
skyviewer-1.0.1-8.fc26 healpix-3.31-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca83d51ca7
Comment 9 Fedora Update System 2017-04-06 18:22:42 EDT
healpix-3.31-2.fc26, skyviewer-1.0.1-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca83d51ca7
Comment 10 Fedora Update System 2017-04-07 08:35:38 EDT
skyviewer-1.0.1-9.fc26 healpix-3.31-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6147e1a6b6
Comment 11 Fedora Update System 2017-04-09 01:52:46 EDT
healpix-3.31-3.fc26, python-healpy-1.10.3-1.fc26, skyviewer-1.0.1-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6147e1a6b6
Comment 12 Fedora Update System 2017-04-12 10:51:41 EDT
healpix-3.31-3.fc26, python-healpy-1.10.3-1.fc26, skyviewer-1.0.1-9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.